﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Articles.Tutorials.Direct2D
{
    public partial class Chapter4
    {
        private Panel panel1;
        private Label m_lblHighQuality;
        private CheckBox m_chkHighQuality;
        private Label m_lblRenderer;
        private RadioButton m_radGdi;
        private RadioButton m_radD2d;
        private Label m_lblTansparent;
        private CheckBox m_chkTransparent;
        private Label m_lblMs;
        private Label m_lblRenderDuration;
        private TextBox m_txtRenderDuration;
        private HScrollBar m_scrollRectangleSize;
        private Label m_lblRectangleSize;
        private Label m_lblRectangleCount;
        private TextBox m_txtRectangleCount;

        private void InitializeComponent()
        {
            this.panel1 = new System.Windows.Forms.Panel();
            this.m_lblHighQuality = new System.Windows.Forms.Label();
            this.m_chkHighQuality = new System.Windows.Forms.CheckBox();
            this.m_lblRenderer = new System.Windows.Forms.Label();
            this.m_radGdi = new System.Windows.Forms.RadioButton();
            this.m_radD2d = new System.Windows.Forms.RadioButton();
            this.m_lblTansparent = new System.Windows.Forms.Label();
            this.m_chkTransparent = new System.Windows.Forms.CheckBox();
            this.m_lblMs = new System.Windows.Forms.Label();
            this.m_lblRenderDuration = new System.Windows.Forms.Label();
            this.m_txtRenderDuration = new System.Windows.Forms.TextBox();
            this.m_scrollRectangleSize = new System.Windows.Forms.HScrollBar();
            this.m_lblRectangleSize = new System.Windows.Forms.Label();
            this.m_lblRectangleCount = new System.Windows.Forms.Label();
            this.m_txtRectangleCount = new System.Windows.Forms.TextBox();
            this.panel1.SuspendLayout();
            this.SuspendLayout();
            // 
            // panel1
            // 
            this.panel1.BackColor = System.Drawing.Color.White;
            this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.panel1.Controls.Add(this.m_lblHighQuality);
            this.panel1.Controls.Add(this.m_chkHighQuality);
            this.panel1.Controls.Add(this.m_lblRenderer);
            this.panel1.Controls.Add(this.m_radGdi);
            this.panel1.Controls.Add(this.m_radD2d);
            this.panel1.Controls.Add(this.m_lblTansparent);
            this.panel1.Controls.Add(this.m_chkTransparent);
            this.panel1.Controls.Add(this.m_lblMs);
            this.panel1.Controls.Add(this.m_lblRenderDuration);
            this.panel1.Controls.Add(this.m_txtRenderDuration);
            this.panel1.Controls.Add(this.m_scrollRectangleSize);
            this.panel1.Controls.Add(this.m_lblRectangleSize);
            this.panel1.Controls.Add(this.m_lblRectangleCount);
            this.panel1.Controls.Add(this.m_txtRectangleCount);
            this.panel1.Location = new System.Drawing.Point(13, 12);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(279, 142);
            this.panel1.TabIndex = 1;
            // 
            // m_lblHighQuality
            // 
            this.m_lblHighQuality.AutoSize = true;
            this.m_lblHighQuality.Location = new System.Drawing.Point(3, 77);
            this.m_lblHighQuality.Name = "m_lblHighQuality";
            this.m_lblHighQuality.Size = new System.Drawing.Size(67, 13);
            this.m_lblHighQuality.TabIndex = 15;
            this.m_lblHighQuality.Text = "High Quality:";
            // 
            // m_chkHighQuality
            // 
            this.m_chkHighQuality.AutoSize = true;
            this.m_chkHighQuality.Checked = true;
            this.m_chkHighQuality.CheckState = System.Windows.Forms.CheckState.Checked;
            this.m_chkHighQuality.Location = new System.Drawing.Point(156, 77);
            this.m_chkHighQuality.Name = "m_chkHighQuality";
            this.m_chkHighQuality.Size = new System.Drawing.Size(15, 14);
            this.m_chkHighQuality.TabIndex = 14;
            this.m_chkHighQuality.UseVisualStyleBackColor = true;
            this.m_chkHighQuality.CheckedChanged += new System.EventHandler(this.OnChkParameterCheckedChanged);
            // 
            // m_lblRenderer
            // 
            this.m_lblRenderer.AutoSize = true;
            this.m_lblRenderer.Location = new System.Drawing.Point(3, 121);
            this.m_lblRenderer.Name = "m_lblRenderer";
            this.m_lblRenderer.Size = new System.Drawing.Size(54, 13);
            this.m_lblRenderer.TabIndex = 13;
            this.m_lblRenderer.Text = "Renderer:";
            // 
            // m_radGdi
            // 
            this.m_radGdi.AutoSize = true;
            this.m_radGdi.Location = new System.Drawing.Point(209, 119);
            this.m_radGdi.Name = "m_radGdi";
            this.m_radGdi.Size = new System.Drawing.Size(44, 17);
            this.m_radGdi.TabIndex = 12;
            this.m_radGdi.Text = "GDI";
            this.m_radGdi.UseVisualStyleBackColor = true;
            this.m_radGdi.CheckedChanged += new System.EventHandler(this.OnRadGdiCheckedChanged);
            // 
            // m_radD2d
            // 
            this.m_radD2d.AutoSize = true;
            this.m_radD2d.Checked = true;
            this.m_radD2d.Location = new System.Drawing.Point(156, 119);
            this.m_radD2d.Name = "m_radD2d";
            this.m_radD2d.Size = new System.Drawing.Size(47, 17);
            this.m_radD2d.TabIndex = 11;
            this.m_radD2d.TabStop = true;
            this.m_radD2d.Text = "D2D";
            this.m_radD2d.UseVisualStyleBackColor = true;
            this.m_radD2d.CheckedChanged += new System.EventHandler(this.OnRadD2dCheckedChanged);
            // 
            // m_lblTansparent
            // 
            this.m_lblTansparent.AutoSize = true;
            this.m_lblTansparent.Location = new System.Drawing.Point(3, 100);
            this.m_lblTansparent.Name = "m_lblTansparent";
            this.m_lblTansparent.Size = new System.Drawing.Size(67, 13);
            this.m_lblTansparent.TabIndex = 9;
            this.m_lblTansparent.Text = "Transparent:";
            // 
            // m_chkTransparent
            // 
            this.m_chkTransparent.AutoSize = true;
            this.m_chkTransparent.Checked = true;
            this.m_chkTransparent.CheckState = System.Windows.Forms.CheckState.Checked;
            this.m_chkTransparent.Location = new System.Drawing.Point(156, 99);
            this.m_chkTransparent.Name = "m_chkTransparent";
            this.m_chkTransparent.Size = new System.Drawing.Size(15, 14);
            this.m_chkTransparent.TabIndex = 7;
            this.m_chkTransparent.UseVisualStyleBackColor = true;
            this.m_chkTransparent.CheckedChanged += new System.EventHandler(this.OnChkParameterCheckedChanged);
            // 
            // m_lblMs
            // 
            this.m_lblMs.AutoSize = true;
            this.m_lblMs.Location = new System.Drawing.Point(231, 32);
            this.m_lblMs.Name = "m_lblMs";
            this.m_lblMs.Size = new System.Drawing.Size(20, 13);
            this.m_lblMs.TabIndex = 6;
            this.m_lblMs.Text = "ms";
            // 
            // m_lblRenderDuration
            // 
            this.m_lblRenderDuration.AutoSize = true;
            this.m_lblRenderDuration.Location = new System.Drawing.Point(3, 32);
            this.m_lblRenderDuration.Name = "m_lblRenderDuration";
            this.m_lblRenderDuration.Size = new System.Drawing.Size(71, 13);
            this.m_lblRenderDuration.TabIndex = 5;
            this.m_lblRenderDuration.Text = "Render Time:";
            // 
            // m_txtRenderDuration
            // 
            this.m_txtRenderDuration.Location = new System.Drawing.Point(156, 29);
            this.m_txtRenderDuration.Name = "m_txtRenderDuration";
            this.m_txtRenderDuration.ReadOnly = true;
            this.m_txtRenderDuration.Size = new System.Drawing.Size(69, 20);
            this.m_txtRenderDuration.TabIndex = 4;
            // 
            // m_scrollRectangleSize
            // 
            this.m_scrollRectangleSize.LargeChange = 1;
            this.m_scrollRectangleSize.Location = new System.Drawing.Point(156, 54);
            this.m_scrollRectangleSize.Minimum = 10;
            this.m_scrollRectangleSize.Name = "m_scrollRectangleSize";
            this.m_scrollRectangleSize.Size = new System.Drawing.Size(118, 17);
            this.m_scrollRectangleSize.TabIndex = 3;
            this.m_scrollRectangleSize.Value = 100;
            this.m_scrollRectangleSize.Scroll += new System.Windows.Forms.ScrollEventHandler(this.OnScrollRectangleSizeScroll);
            // 
            // m_lblRectangleSize
            // 
            this.m_lblRectangleSize.AutoSize = true;
            this.m_lblRectangleSize.Location = new System.Drawing.Point(3, 57);
            this.m_lblRectangleSize.Name = "m_lblRectangleSize";
            this.m_lblRectangleSize.Size = new System.Drawing.Size(82, 13);
            this.m_lblRectangleSize.TabIndex = 2;
            this.m_lblRectangleSize.Text = "Rectangle Size:";
            // 
            // m_lblRectangleCount
            // 
            this.m_lblRectangleCount.AutoSize = true;
            this.m_lblRectangleCount.Location = new System.Drawing.Point(3, 6);
            this.m_lblRectangleCount.Name = "m_lblRectangleCount";
            this.m_lblRectangleCount.Size = new System.Drawing.Size(90, 13);
            this.m_lblRectangleCount.TabIndex = 1;
            this.m_lblRectangleCount.Text = "Rectangle Count:";
            // 
            // m_txtRectangleCount
            // 
            this.m_txtRectangleCount.Location = new System.Drawing.Point(156, 3);
            this.m_txtRectangleCount.Name = "m_txtRectangleCount";
            this.m_txtRectangleCount.ReadOnly = true;
            this.m_txtRectangleCount.Size = new System.Drawing.Size(69, 20);
            this.m_txtRectangleCount.TabIndex = 0;
            // 
            // Chapter4
            // 
            this.Controls.Add(this.panel1);
            this.Name = "Chapter4";
            this.Size = new System.Drawing.Size(1010, 483);
            this.panel1.ResumeLayout(false);
            this.panel1.PerformLayout();
            this.ResumeLayout(false);

        }
    }
}
